pangomm: Pango::Coverage Class Reference

pangomm 2.56.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Pango::Coverage Class Referencefinal

A Pango::Coverage represents a map from ISO-10646 character point to Pango::Coverage::Level. More...

`#include <pangomm/coverage.h>`

## Public Types
enum class | Level { Level::NONE , Level::FALLBACK , Level::APPROXIMATE , Level::EXACT }
| Pango::CoverageLevel is used to indicate how well a font can represent a particular Unicode character for a particular script. More...

## Public Member Functions
void | reference () const
| Increment the reference count for this object.
void | unreference () const
| Decrement the reference count for this object.
PangoCoverage * | gobj ()
| Provides access to the underlying C instance.
const PangoCoverage * | gobj () const
| Provides access to the underlying C instance.
PangoCoverage * | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
| Coverage ()=delete
| Coverage (const Coverage &)=delete
Coverage & | operator= (const Coverage &)=delete
Level | get (int index) const
| Determine whether a particular index is covered by coverage.
void | set (int index, Level level)
| Modify a particular index within coverage.

## Static Public Member Functions
static Glib::RefPtr< Coverage > | create ()

## Protected Member Functions
void | operator delete (void *, std::size_t)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Pango::Coverage > | wrap (PangoCoverage * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Pango::Coverage represents a map from ISO-10646 character point to Pango::Coverage::Level.

It is often necessary in pango to determine if a particular font can represent a particular character, and also how well it can represent that character. Pango::Coverage holds this information.

## Constructor & Destructor Documentation

## ◆ Coverage() [1/2]

Pango::Coverage::Coverage | ( |  | ) |
| delete

## ◆ Coverage() [2/2]

Pango::Coverage::Coverage | ( | const Coverage & |  | ) |
| delete

## Member Function Documentation

## ◆ create()

Glib::RefPtr< Coverage > Pango::Coverage::create | ( |  | ) |
| static

## ◆ get()

Level Pango::Coverage::get | ( | int | index | ) | const

Determine whether a particular index is covered by coverage.

Parameters

  index | The index to check.

Returns
  The coverage level of coverage for character index.

## ◆ gobj() [1/2]

PangoCoverage * Pango::Coverage::gobj | ( |  | ) |

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const PangoCoverage * Pango::Coverage::gobj | ( |  | ) | const

Provides access to the underlying C instance.

## ◆ gobj_copy()

PangoCoverage * Pango::Coverage::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator delete()

void Pango::Coverage::operator delete | ( | void * | ,
|  | std::size_t | )
| protected

## ◆ operator=()

Coverage & Pango::Coverage::operator= | ( | const Coverage & |  | ) |
| delete

## ◆ reference()

void Pango::Coverage::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## ◆ set()

void Pango::Coverage::set | ( | int | index,
|  | Level | level )

Modify a particular index within coverage.

Parameters

  index | The index to modify.
  level | The new level for index.

## ◆ unreference()

void Pango::Coverage::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Pango::Coverage > wrap | ( | PangoCoverage * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.